#ifndef __REALMSCENEOBJECT_H
	#define __REALMSCENEOBJECT_H

#include "RealmObject.h"
#include "RealmLocation.h"

class RealmSceneView;

class RealmSceneObject : public RealmObject {

protected:
	RealmLocation object_location;

	int zoom_mode;

public:
	void init(RealmObjectType* otype, int w, int h, RealmLocation olocation, int zoom_view);

	RealmLocation getObjectLocation();
	HexSpiralCoordinate getSceneCoordinate();

	int getZoomLevel() { return zoom_mode; }
};

#endif // __REALMSCENEOBJECT_H
