
#ifndef __REALMSCENEOBJECTPOSITIONER_H
	#define __REALMSCENEOBJECTPOSITIONER_H

#include "RealmObjectPositioner.h"
#include "HexSpiralCoordinate.h"

class RealmSceneView;
class SceneMoveAnimator;

class RealmSceneObjectPositioner: public RealmObjectPositioner {
private:
	SceneMoveAnimator* SceneAnimator;

public:
	RealmSceneObjectPositioner(RealmSceneView* sceneview, HexSpiralCoordinate startCoordinate);
	~RealmSceneObjectPositioner();

	SceneMoveAnimator* getAnimator() { return SceneAnimator; }
	void update();

	double getScaleFactor();
	XYLocation getScreenLocation();
};

#endif // __REALMSCENEOBJECTPOSITIONER_H
